Skip to main content
PATCH
/
api
/
user
/
subscription
Change current user's plan
curl --request PATCH \
  --url https://nexus-dev.gerowallet.io/api/user/subscription \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planId": "390c29be-ba0f-49d6-bf16-4d169a0fa5fb"
}
'
{
  "plan": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Pro",
    "tier": "pro",
    "price": 199,
    "requestLimit": 1000000,
    "unlimited": false
  },
  "monthlyRequests": 12345,
  "totalRequests": 987654
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Body

application/json

Request to switch the current user to a different plan

planId
string<uuid>
required

ID of the plan to switch to

Example:

"390c29be-ba0f-49d6-bf16-4d169a0fa5fb"

Response

Plan changed

Current user's subscription state and usage

plan
object

The user's currently-assigned plan. Null when the user has no plan.

monthlyRequests
integer<int64>

Requests made this month across all of the user's API keys

Example:

12345

totalRequests
integer<int64>

Lifetime requests across all of the user's API keys

Example:

987654